Bug 44148 - Docker Apps do not notify about an upgrade
Docker Apps do not notify about an upgrade
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-4-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-30 12:30 CEST by Dirk Wiesenthal
Modified: 2017-05-03 15:37 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2017-03-30 12:30:18 CEST
For the upgrade action used by Docker Apps, _send_information is:

def _send_information(self, app, status):
  if app > self.old_app:
    super(Upgrade, self)._send_information(app, status)

But Docker Apps set self.old_app = app after the upgrade and before the _send_information, essentially never sending the success status.
Comment 1 Dirk Wiesenthal univentionstaff 2017-03-30 17:51:05 CEST
Fixed in 4.1-4
  univention-appcenter 5.0.23-65.289.201703301743

and 4.2
  univention-appcenter 6.0.7-2A~4.2.0.201703301749

by adding self.original_app along with self.old_app.
Comment 2 Felix Botner univentionstaff 2017-05-03 10:05:32 CEST
OK - upgrade notification for docker apps

(a) package/version update
[   DEBUG]: send_information: action=upgrade app=tine20 value=None status=200
[   DEBUG]: tracking information: {'status': 200, 'uuid': '9d4efbbd-65bc-454a-a706-9628e494fbc1', 'app': u'tine20', 'version': u'2015.11.19-ucs1', 'role': 'domaincontroller_ma
ster', 'action': 'upgrade', 'system-uuid': '300be1b5-e828-4b41-b17f-2eb5edf38339'}

(b) image update
[   DEBUG]: send_information: action=upgrade app=jenkins value=None status=200
[   DEBUG]: tracking information: {'status': 200, 'uuid': '9d4efbbd-65bc-454a-a706-9628e494fbc1', 'app': u'jenkins', 'version': u'2.32.2', 'role': 'domaincontroller_master', '
action': 'upgrade', 'system-uuid': '300be1b5-e828-4b41-b17f-2eb5edf38339'}


OK - YAML
Comment 3 Janek Walkenhorst univentionstaff 2017-05-03 15:37:12 CEST
<http://errata.software-univention.de/ucs/4.1/412.html>